"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMMetadataKind
	instanceVariableNames:''
	classVariableNames:'MDTupleKind DILocationKind GenericDINodeKind DISubrangeKind
		DIEnumeratorKind DIBasicTypeKind DIDerivedTypeKind
		DICompositeTypeKind DISubroutineTypeKind DIFileKind
		DICompileUnitKind DISubprogramKind DILexicalBlockKind
		DILexicalBlockFileKind DINamespaceKind DIModuleKind
		DITemplateTypeParameterKind DITemplateValueParameterKind
		DIGlobalVariableKind DILocalVariableKind DIExpressionKind
		DIObjCPropertyKind DIImportedEntityKind ConstantAsMetadataKind
		LocalAsMetadataKind MDStringKind'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMMetadataKind class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMMetadataKind class methodsFor:'initialization'!

initialize

    MDTupleKind := 0.
    DILocationKind := 1.
    GenericDINodeKind := 2.
    DISubrangeKind := 3.
    DIEnumeratorKind := 4.
    DIBasicTypeKind := 5.
    DIDerivedTypeKind := 6.
    DICompositeTypeKind := 7.
    DISubroutineTypeKind := 8.
    DIFileKind := 9.
    DICompileUnitKind := 10.
    DISubprogramKind := 11.
    DILexicalBlockKind := 12.
    DILexicalBlockFileKind := 13.
    DINamespaceKind := 14.
    DIModuleKind := 15.
    DITemplateTypeParameterKind := 16.
    DITemplateValueParameterKind := 17.
    DIGlobalVariableKind := 18.
    DILocalVariableKind := 19.
    DIExpressionKind := 20.
    DIObjCPropertyKind := 21.
    DIImportedEntityKind := 22.
    ConstantAsMetadataKind := 23.
    LocalAsMetadataKind := 24.
    MDStringKind := 25.
! !

!LLVMMetadataKind class methodsFor:'constants'!

ConstantAsMetadataKind

    ^ConstantAsMetadataKind
!

DIBasicTypeKind

    ^DIBasicTypeKind
!

DICompileUnitKind

    ^DICompileUnitKind
!

DICompositeTypeKind

    ^DICompositeTypeKind
!

DIDerivedTypeKind

    ^DIDerivedTypeKind
!

DIEnumeratorKind

    ^DIEnumeratorKind
!

DIExpressionKind

    ^DIExpressionKind
!

DIFileKind

    ^DIFileKind
!

DIGlobalVariableKind

    ^DIGlobalVariableKind
!

DIImportedEntityKind

    ^DIImportedEntityKind
!

DILexicalBlockFileKind

    ^DILexicalBlockFileKind
!

DILexicalBlockKind

    ^DILexicalBlockKind
!

DILocalVariableKind

    ^DILocalVariableKind
!

DILocationKind

    ^DILocationKind
!

DIModuleKind

    ^DIModuleKind
!

DINamespaceKind

    ^DINamespaceKind
!

DIObjCPropertyKind

    ^DIObjCPropertyKind
!

DISubprogramKind

    ^DISubprogramKind
!

DISubrangeKind

    ^DISubrangeKind
!

DISubroutineTypeKind

    ^DISubroutineTypeKind
!

DITemplateTypeParameterKind

    ^DITemplateTypeParameterKind
!

DITemplateValueParameterKind

    ^DITemplateValueParameterKind
!

GenericDINodeKind

    ^GenericDINodeKind
!

LocalAsMetadataKind

    ^LocalAsMetadataKind
!

MDStringKind

    ^MDStringKind
!

MDTupleKind

    ^MDTupleKind
! !


LLVMMetadataKind initialize!
