"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMModuleFlagBehavior
	instanceVariableNames:''
	classVariableNames:'LLVMModuleFlagBehaviorError LLVMModuleFlagBehaviorWarning
		LLVMModuleFlagBehaviorRequire LLVMModuleFlagBehaviorOverride
		LLVMModuleFlagBehaviorAppend LLVMModuleFlagBehaviorAppendUnique'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMModuleFlagBehavior class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMModuleFlagBehavior class methodsFor:'initialization'!

initialize

    LLVMModuleFlagBehaviorError := 1.
    LLVMModuleFlagBehaviorWarning := 2.
    LLVMModuleFlagBehaviorRequire := 3.
    LLVMModuleFlagBehaviorOverride := 4.
    LLVMModuleFlagBehaviorAppend := 5.
    LLVMModuleFlagBehaviorAppendUnique := 6.
! !

!LLVMModuleFlagBehavior class methodsFor:'constants'!

Append

    ^Append
!

AppendUnique

    ^AppendUnique
!

Error

    ^Error
!

LLVMModuleFlagBehaviorAppend

    ^LLVMModuleFlagBehaviorAppend
!

LLVMModuleFlagBehaviorAppendUnique

    ^LLVMModuleFlagBehaviorAppendUnique
!

LLVMModuleFlagBehaviorError

    ^LLVMModuleFlagBehaviorError
!

LLVMModuleFlagBehaviorOverride

    ^LLVMModuleFlagBehaviorOverride
!

LLVMModuleFlagBehaviorRequire

    ^LLVMModuleFlagBehaviorRequire
!

LLVMModuleFlagBehaviorWarning

    ^LLVMModuleFlagBehaviorWarning
!

Override

    ^Override
!

Require

    ^Require
!

Warning

    ^Warning
! !


LLVMModuleFlagBehavior initialize!
