"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMThreadLocalMode
	instanceVariableNames:''
	classVariableNames:'LLVMNotThreadLocal LLVMGeneralDynamicTLSModel
		LLVMLocalDynamicTLSModel LLVMInitialExecTLSModel
		LLVMLocalExecTLSModel'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMThreadLocalMode class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMThreadLocalMode class methodsFor:'initialization'!

initialize

    LLVMNotThreadLocal := 0.
    LLVMGeneralDynamicTLSModel := 1.
    LLVMLocalDynamicTLSModel := 2.
    LLVMInitialExecTLSModel := 3.
    LLVMLocalExecTLSModel := 4.
! !

!LLVMThreadLocalMode class methodsFor:'constants'!

LLVMGeneralDynamicTLSModel

    ^LLVMGeneralDynamicTLSModel
!

LLVMInitialExecTLSModel

    ^LLVMInitialExecTLSModel
!

LLVMLocalDynamicTLSModel

    ^LLVMLocalDynamicTLSModel
!

LLVMLocalExecTLSModel

    ^LLVMLocalExecTLSModel
!

LLVMNotThreadLocal

    ^LLVMNotThreadLocal
! !


LLVMThreadLocalMode initialize!
