"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMVisibility
	instanceVariableNames:''
	classVariableNames:'LLVMDefaultVisibility LLVMHiddenVisibility
		LLVMProtectedVisibility'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMVisibility class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMVisibility class methodsFor:'initialization'!

initialize

    LLVMDefaultVisibility := 0.
    LLVMHiddenVisibility := 1.
    LLVMProtectedVisibility := 2.
! !

!LLVMVisibility class methodsFor:'constants'!

LLVMDefaultVisibility

    ^LLVMDefaultVisibility
!

LLVMHiddenVisibility

    ^LLVMHiddenVisibility
!

LLVMProtectedVisibility

    ^LLVMProtectedVisibility
! !


LLVMVisibility initialize!
