"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMAtomicRMWBinOp
	instanceVariableNames:''
	classVariableNames:'LLVMAtomicRMWBinOpXchg LLVMAtomicRMWBinOpAdd
		LLVMAtomicRMWBinOpSub LLVMAtomicRMWBinOpAnd
		LLVMAtomicRMWBinOpNand LLVMAtomicRMWBinOpOr LLVMAtomicRMWBinOpXor
		LLVMAtomicRMWBinOpMax LLVMAtomicRMWBinOpMin
		LLVMAtomicRMWBinOpUMax LLVMAtomicRMWBinOpUMin'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMAtomicRMWBinOp class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMAtomicRMWBinOp class methodsFor:'initialization'!

initialize

    LLVMAtomicRMWBinOpXchg := 0.
    LLVMAtomicRMWBinOpAdd := 1.
    LLVMAtomicRMWBinOpSub := 2.
    LLVMAtomicRMWBinOpAnd := 3.
    LLVMAtomicRMWBinOpNand := 4.
    LLVMAtomicRMWBinOpOr := 5.
    LLVMAtomicRMWBinOpXor := 6.
    LLVMAtomicRMWBinOpMax := 7.
    LLVMAtomicRMWBinOpMin := 8.
    LLVMAtomicRMWBinOpUMax := 9.
    LLVMAtomicRMWBinOpUMin := 10.
! !

!LLVMAtomicRMWBinOp class methodsFor:'constants'!

LLVMAtomicRMWBinOpAdd

    ^LLVMAtomicRMWBinOpAdd
!

LLVMAtomicRMWBinOpAnd

    ^LLVMAtomicRMWBinOpAnd
!

LLVMAtomicRMWBinOpMax

    ^LLVMAtomicRMWBinOpMax
!

LLVMAtomicRMWBinOpMin

    ^LLVMAtomicRMWBinOpMin
!

LLVMAtomicRMWBinOpNand

    ^LLVMAtomicRMWBinOpNand
!

LLVMAtomicRMWBinOpOr

    ^LLVMAtomicRMWBinOpOr
!

LLVMAtomicRMWBinOpSub

    ^LLVMAtomicRMWBinOpSub
!

LLVMAtomicRMWBinOpUMax

    ^LLVMAtomicRMWBinOpUMax
!

LLVMAtomicRMWBinOpUMin

    ^LLVMAtomicRMWBinOpUMin
!

LLVMAtomicRMWBinOpXchg

    ^LLVMAtomicRMWBinOpXchg
!

LLVMAtomicRMWBinOpXor

    ^LLVMAtomicRMWBinOpXor
! !

!LLVMAtomicRMWBinOp class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


LLVMAtomicRMWBinOp initialize!
