"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#LLVMRealPredicate
	instanceVariableNames:''
	classVariableNames:'LLVMRealPredicateFalse LLVMRealOEQ LLVMRealOGT LLVMRealOGE
		LLVMRealOLT LLVMRealOLE LLVMRealONE LLVMRealORD LLVMRealUNO
		LLVMRealUEQ LLVMRealUGT LLVMRealUGE LLVMRealULT LLVMRealULE
		LLVMRealUNE LLVMRealPredicateTrue'
	poolDictionaries:''
	category:'LLVM-S-Core-Constants'
!

!LLVMRealPredicate class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMRealPredicate class methodsFor:'initialization'!

initialize

    LLVMRealPredicateFalse := 0.
    LLVMRealOEQ := 1.
    LLVMRealOGT := 2.
    LLVMRealOGE := 3.
    LLVMRealOLT := 4.
    LLVMRealOLE := 5.
    LLVMRealONE := 6.
    LLVMRealORD := 7.
    LLVMRealUNO := 8.
    LLVMRealUEQ := 9.
    LLVMRealUGT := 10.
    LLVMRealUGE := 11.
    LLVMRealULT := 12.
    LLVMRealULE := 13.
    LLVMRealUNE := 14.
    LLVMRealPredicateTrue := 15.
! !

!LLVMRealPredicate class methodsFor:'constants'!

LLVMRealOEQ

    ^LLVMRealOEQ
!

LLVMRealOGE

    ^LLVMRealOGE
!

LLVMRealOGT

    ^LLVMRealOGT
!

LLVMRealOLE

    ^LLVMRealOLE
!

LLVMRealOLT

    ^LLVMRealOLT
!

LLVMRealONE

    ^LLVMRealONE
!

LLVMRealORD

    ^LLVMRealORD
!

LLVMRealPredicateFalse

    ^LLVMRealPredicateFalse
!

LLVMRealPredicateTrue

    ^LLVMRealPredicateTrue
!

LLVMRealUEQ

    ^LLVMRealUEQ
!

LLVMRealUGE

    ^LLVMRealUGE
!

LLVMRealUGT

    ^LLVMRealUGT
!

LLVMRealULE

    ^LLVMRealULE
!

LLVMRealULT

    ^LLVMRealULT
!

LLVMRealUNE

    ^LLVMRealUNE
!

LLVMRealUNO

    ^LLVMRealUNO
! !


LLVMRealPredicate initialize!
