"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
"{ Package: 'jv:llvm_s' }"

"{ NameSpace: Smalltalk }"

LLVMDisposableObject subclass:#LLVMTargetData
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'LLVM-S-Core'
!

!LLVMTargetData class methodsFor:'documentation'!

copyright
"
    Copyright (C) 2015-now Jan Vrany

    This code is not an open-source (yet). You may use this code
    for your own experiments and projects, given that:

    * all modification to the code will be sent to the
      original author for inclusion in future releases
    * this is not used in any commercial software

    This license is provisional and may (will) change in
    a future.
"
! !

!LLVMTargetData class methodsFor:'instance creation'!

new
    ^ self newFromDescription: ''

    "Created: / 11-07-2015 / 07:04:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

newFromDescription: aString
    self assert: aString isSingleByteString.
    ^ LLVM CreateTargetData: aString

    "Created: / 11-07-2015 / 07:03:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!LLVMTargetData methodsFor:'initialization & release'!

dispose
    ^ LLVM DisposeTargetData: self

    "Modified: / 08-07-2015 / 22:41:27 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

finalize
    super setAddress: 0.
    self unregisterForFinalization.
    self dispose

    "Created: / 08-07-2015 / 22:38:51 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

